<?php

namespace Drupal\node_usage\Plugin\Block;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Session\AccountInterface;

/**
 * Includes user account block plus custom text before it.
 *
 * @Block(
 *   id = "node_usage",
 *   admin_label = @Translation("Node usage block"),
 *   category = @Translation("whiskerDocs"),
 * )
 */
class NodeUsageBlock extends BlockBase {
  /**
   * {@inheritdoc}
   */
  public function build() {
    $node_usage = \Drupal::service('node_usage');
    $node_usage_block = $node_usage->_node_usage_node_get_usage();

    return [
      '#markup' => render($node_usage_block),
    ];
  }

  /**
   * {@inheritdoc}
   */
  protected function blockAccess(AccountInterface $account) {
    $roles = \Drupal::currentUser()->getRoles();

    return AccessResult::allowedIfHasPermission($account, 'view site reports');
  }
}

